> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pre-validate document

> Validates document image quality before full verification.

Use this to provide immediate feedback to users about 
image quality issues before submitting for verification.

**Checks:**
- Image resolution
- Blur detection
- Lighting/exposure
- Document detection
- Document orientation




## OpenAPI

````yaml openapi/identity.yaml post /identity/validate
openapi: 3.0.3
info:
  title: TXCloud Identity API
  version: 1.0.0
  description: >
    The TXCloud Identity API enables identity verification through document
    OCR, 

    face matching, liveness detection, and fraud checks.


    ## Base URL

    ```

    https://api.txcloud.io/v1

    ```


    ## Authentication

    All requests require a Bearer token in the Authorization header:

    ```

    Authorization: Bearer txc_live_your_api_key

    ```


    ## Rate Limits

    | Plan | Requests/min |

    |------|--------------|

    | Starter | 60 |

    | Growth | 300 |

    | Scale | 1,000 |

    | Enterprise | Custom |
  termsOfService: https://txcloud.io/terms
  contact:
    name: TXCloud API Support
    email: support@txcloud.io
    url: https://docs.txcloud.io
  license:
    name: Proprietary
    url: https://txcloud.io/license
  x-logo:
    url: https://txcloud.io/logo.png
servers:
  - url: https://api.txcloud.io/v1
    description: Production
  - url: https://sandbox.api.txcloud.io/v1
    description: Sandbox (test environment)
security:
  - BearerAuth: []
tags:
  - name: Verification
    description: Core identity verification endpoints
  - name: Management
    description: Manage and retrieve verifications
  - name: Sessions
    description: Multi-step verification sessions
  - name: Documents
    description: Document management
  - name: Configuration
    description: Supported documents and countries
paths:
  /identity/validate:
    post:
      tags:
        - Verification
      summary: Pre-validate document
      description: |
        Validates document image quality before full verification.

        Use this to provide immediate feedback to users about 
        image quality issues before submitting for verification.

        **Checks:**
        - Image resolution
        - Blur detection
        - Lighting/exposure
        - Document detection
        - Document orientation
      operationId: validateDocument
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ValidateRequest'
      responses:
        '200':
          description: Validation result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateResponse'
components:
  schemas:
    ValidateRequest:
      type: object
      required:
        - image
      properties:
        image:
          type: string
          format: byte
        side:
          type: string
          enum:
            - front
            - back
    ValidateResponse:
      type: object
      properties:
        id:
          type: string
        valid:
          type: boolean
        quality_score:
          type: number
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
              severity:
                type: string
        recommendations:
          type: array
          items:
            type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````